<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
        "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">

<hibernate-configuration>

    <session-factory>

        <!-- Database connection settings-->
        <property name="connection.driver_class">org.postgresql.Driver</property>
        <property name="connection.url">jdbc:postgresql://localhost:5432/HolidayPlanner</property>
        <property name="connection.username">postgres</property>
        <property name="connection.password">Diana2000</property>

        <!-- JDBC connection pool (use the built-in) -->
        <property name="connection.pool_size">1</property>

        <!-- SQL dialect -->
        <property name="dialect">org.hibernate.dialect.PostgreSQLDialect</property>

        <property name="show_sql">false </property>
        <!-- Drop and re-create the database schema on startup
        <property name="hbm2ddl.auto">create</property>-->


        <mapping class="com.intern.model.User"/>
        <mapping class="com.intern.model.Holiday"/>
        <mapping class="com.intern.model.PublicHoliday"/>
        <mapping class="com.intern.model.AuditLog"/>

    </session-factory>

</hibernate-configuration>